Bug 984179 - [abrt] qupzilla-1.4.3-1.fc19: qupzilla_signal_handler: Process /usr/bin/qupzilla was killed by signal 6 (SIGABRT)
[abrt] qupzilla-1.4.3-1.fc19: qupzilla_signal_handler: Process /usr/bin/qupzi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qupzilla (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:9f17eff267cb1decb7ede3f0a61...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 05:35 EDT by Mario Blättermann
Modified: 2013-09-27 15:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-27 15:27:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.71 KB, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: core_backtrace (4.85 KB, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: dso_list (17.64 KB, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: environ (1.63 KB, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: maps (91.04 KB, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: open_fds (1.68 KB, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: var_log_messages (304 bytes, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details
File: xsession_errors (344 bytes, text/plain)
2013-07-13 05:35 EDT, Mario Blättermann
no flags Details

  None (edit)
Description Mario Blättermann 2013-07-13 05:35:19 EDT
Description of problem:
After opening a Transifex project page, I tried to move the scrollbar. Instead of moving the site content, Qupzilla crashed.

Version-Release number of selected component:
qupzilla-1.4.3-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        qupzilla
crash_function: qupzilla_signal_handler
executable:     /usr/bin/qupzilla
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qupzilla_signal_handler at main.cpp:67
 #4 QWebFrame::childFrames at /lib64/libQtWebKit.so.4
 #5 PageFormCompleter::getAllElementsFromPage at autofill/pageformcompleter.cpp:244
 #6 PageFormCompleter::completePage at autofill/pageformcompleter.cpp:104
 #7 AutoFill::completePage at autofill/autofill.cpp:278
 #8 WebPage::finished at webview/webpage.cpp:252
 #9 QMetaObject::activate at kernel/qobject.cpp:3539
 #10 QWebPage::loadFinished at /lib64/libQtWebKit.so.4
 #11 WebCore::FrameLoaderClientQt::emitLoadFinished at /lib64/libQtWebKit.so.4
 #12 WebCore::FrameLoaderClientQt::dispatchDidFinishLoad at /lib64/libQtWebKit.so.4
Comment 1 Mario Blättermann 2013-07-13 05:35:23 EDT
Created attachment 772976 [details]
File: backtrace
Comment 2 Mario Blättermann 2013-07-13 05:35:26 EDT
Created attachment 772977 [details]
File: cgroup
Comment 3 Mario Blättermann 2013-07-13 05:35:30 EDT
Created attachment 772978 [details]
File: core_backtrace
Comment 4 Mario Blättermann 2013-07-13 05:35:33 EDT
Created attachment 772979 [details]
File: dso_list
Comment 5 Mario Blättermann 2013-07-13 05:35:36 EDT
Created attachment 772980 [details]
File: environ
Comment 6 Mario Blättermann 2013-07-13 05:35:39 EDT
Created attachment 772981 [details]
File: limits
Comment 7 Mario Blättermann 2013-07-13 05:35:44 EDT
Created attachment 772982 [details]
File: maps
Comment 8 Mario Blättermann 2013-07-13 05:35:47 EDT
Created attachment 772983 [details]
File: open_fds
Comment 9 Mario Blättermann 2013-07-13 05:35:50 EDT
Created attachment 772984 [details]
File: proc_pid_status
Comment 10 Mario Blättermann 2013-07-13 05:35:53 EDT
Created attachment 772985 [details]
File: var_log_messages
Comment 11 Mario Blättermann 2013-07-13 05:35:56 EDT
Created attachment 772986 [details]
File: xsession_errors
Comment 12 Mario Blättermann 2013-08-19 04:43:24 EDT
Qupzilla has problems with displaying Transifex pages. After logging in [1], I tried to open a discussion by clicking on the appropriate button in the toolbar on this page. A few seconds the desired discussion form seemed to load, but when trying to type something, the load was stalled and Qupzilla crashed.

[1] https://www.transifex.com/projects/p/qupzilla/language/de_DE/

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        qupzilla
crash_function: qupzilla_signal_handler
executable:     /usr/bin/qupzilla
kernel:         3.10.7-200.fc19.x86_64
package:        qupzilla-1.4.3-1.fc19
reason:         Process /usr/bin/qupzilla was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 13 Mario Blättermann 2013-08-19 04:59:30 EDT
This bug has been reported upstream:
https://github.com/QupZilla/qupzilla/issues/997
Comment 14 Christoph Wickert 2013-09-27 12:18:32 EDT
(In reply to Mario Blättermann from comment #12)
> Qupzilla has problems with displaying Transifex pages. After logging in [1],
> I tried to open a discussion by clicking on the appropriate button in the
> toolbar on this page. A few seconds the desired discussion form seemed to
> load, but when trying to type something, the load was stalled and Qupzilla
> crashed.
> 
> [1] https://www.transifex.com/projects/p/qupzilla/language/de_DE/

Works just fine here. But I am using Qupzilla under Xfce, this means with Qt emulating the GTK theme. Are you using the Oxygen by any chance? If you, please try the update from
https://admin.fedoraproject.org/updates/qupzilla-1.4.4-1.fc18
https://admin.fedoraproject.org/updates/qupzilla-1.4.4-1.fc19
https://admin.fedoraproject.org/updates/qupzilla-1.4.4-1.fc20

It fixes a crash that only appears in combination with Qxygen.
Comment 15 Mario Blättermann 2013-09-27 15:27:45 EDT
(In reply to Christoph Wickert from comment #14)
> Works just fine here. But I am using Qupzilla under Xfce, this means with Qt
> emulating the GTK theme. Are you using the Oxygen by any chance? If you,
> please try the update from
> https://admin.fedoraproject.org/updates/qupzilla-1.4.4-1.fc18
> https://admin.fedoraproject.org/updates/qupzilla-1.4.4-1.fc19
> https://admin.fedoraproject.org/updates/qupzilla-1.4.4-1.fc20
> 
> It fixes a crash that only appears in combination with Qxygen.

Indeed, I'm using it with the native Oxygen theme. After updating Qupzilla manually with your f19 package, it works fine again.

Note You need to log in before you can comment on or make changes to this bug.